<template>
	<div>
		<div class="content">
			<dataBreadcrumb :breads="breads"></dataBreadcrumb>
			<dataTable :table-data="tableData" :columns="columns" :is-pageobj="false" >
				<el-table-column slot="operate" label="操作" align="center" fixed="right" width="100">
					<template slot-scope="scope">
						<el-button  type="text" size="small" @click="handleSee(scope.row.noticeId)">查看</el-button>
					</template>
				</el-table-column>
			</dataTable>
		</div>
	</div>
</template>

<script>
	import {
		changeNoticelist
	} from '@api/supply/bid'
	import dataBreadcrumb from '@components/dataBreadcrumb.vue'
	import dataTable from '@components/nopageTable.vue'
	export default {
		components: {
			dataTable,
			dataBreadcrumb
		},
		data() {
			return {
				projectId: "",
				breads: ['招标管理 ', '招标项目管理', '工作台'],
				tableData: [],
				columns: [{
						label: '公告名称',
						prop: 'title'
					},
					{
						label: '发布时间',
						prop: 'updateTime',
						sortable: true
					},
				
					{
						slot: 'operate'
					}
				] // 操作列
			}
		},
		created() {
			this.getchangeList()
		},
		methods: {
			// handleModify() {
			// 	this.$router.push({
			// 		path: '/purchaser/bid/bidStage/changeList/changeNotice',
			// 		query: {
			// 			type: 'modify'
			// 		}
			// 	})
			// },
			// release() {
			// 	this.$router.push({
			// 		path: '/purchaser/bid/bidStage/changeList/changeNotice',
			// 		query: {
			// 			type: 'release'
			// 		}
			// 	})
			// },
			handleSee(id) {
				this.$router.push(`/supply/bid/joinProject/bidStage/changeList/see?id=${id}`)
			},
			async getchangeList() {
				let projectId = localStorage.getItem("projectId");
				console.log(projectId)
				const {
					data,
					code
				} = await changeNoticelist(projectId)
				this.tableData = data
			}
		}
	}
</script>

<style scoped>
	.absolute {
		position: absolute;
		top: 65px
	}
</style>
